unit Unit1;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs, StdCtrls;

type

  { TForm1 }

  TForm1 = class(TForm)
    BtnEsegui1: TButton;
    BtnEsegui4: TButton;
    BtnPulisci: TButton;
    BtnEsegui2: TButton;
    BtnEsegui3: TButton;
    ListBox1: TListBox;
    ListBox2: TListBox;
    procedure BtnEsegui1Click(Sender: TObject);
    procedure BtnEsegui2Click(Sender: TObject);
    procedure BtnEsegui3Click(Sender: TObject);
    procedure BtnEsegui4Click(Sender: TObject);
    procedure BtnPulisciClick(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}

{ TForm1 }

var Risp : String ; S : Real ;  BottonePremuto : Integer;
    Num, ContNumeri, SommaNumeri : Integer ;

procedure TForm1.BtnEsegui1Click(Sender: TObject);
begin
  (* si riceve un buono acquisto se la spesa effettuata è superiore a 100 Euro *)
  Risp := InputBox('Inserimento','Ci sono Clienti ? S/N','') ;
  while (Risp = 'S') or (Risp = 's') do
    begin
      S := StrToFloat(InputBox('Inserimento','Introduci la cifra spesa','')) ;
      if (S > 100) then ListBox1.Items.Add(FloatToStr(S)+' premio ottenuto')
      else
        if (S > 0) then ListBox1.Items.Add(FloatToStr(S)+' premio non ottenuto')
        else ListBox1.Items.Add(FloatToStr(S)+' valore non valido') ;
      Risp := InputBox('Inserimento','Ci sono altri Clienti ? S/N','') ;
    end;
end;

procedure TForm1.BtnEsegui2Click(Sender: TObject);
begin
  repeat
    Risp := InputBox('Inserimento','Ci sono Clienti ? S/N','') ;
    if (Risp = 'S') or (Risp = 's') then
      begin
        S := StrToFloat(InputBox('Inserimento','Introduci la cifra spesa','')) ;
        if (S > 100) then ListBox1.Items.Add(FloatToStr(S)+' premio ottenuto')
        else
          if (S > 0) then ListBox1.Items.Add(FloatToStr(S)+' premio non ottenuto')
          else ListBox1.Items.Add(FloatToStr(S)+' valore non valido') ;
      end;
  until not((Risp = 'S') or (Risp = 's'));    // anche   (Risp <> 'S') <nd (Risp <> 's')
end;

procedure TForm1.BtnEsegui4Click(Sender: TObject);
begin
  (* Leggere una sequenza di numeri naturali non negativi; al primo zero incontrato, determinare quanti numeri sono stati letti e la loro somma. *)
  ContNumeri := 0 ;
  SommaNumeri := 0 ;
  repeat
    Num := StrToInt(InputBox('Inserimento','Inserisci un numero','')) ;
    if (num > 0) then
      begin
        ListBox1.Items.Add(IntToStr(Num)) ;
        ContNumeri := ContNumeri + 1 ;
        SommaNumeri := SommaNumeri + Num ;
      end
    else
      if (Num <0) then ListBox2.Items.Add('Errore numero non valido '+IntToStr(num))   // anche  ShowMessage
      else ListBox2.Items.Add('Inserimento numeri Terminato') ;                        // anche  ShowMessage
  until (Num  = 0);
  ListBox2.Items.Add('Hai inserito '+IntToStr(ContNumeri)+' numeri e la loro somma è uguale a '+IntToStr(SommaNumeri));
end;

procedure TForm1.BtnEsegui3Click(Sender: TObject);
begin
  repeat
    BottonePremuto := messagedlg('Ci sono Clienti ?', mtConfirmation, [mbYes,mbNo], 0);   // mb significa Message Button
    if (BottonePremuto = mrYes) then                                                      // mr significa Message Response
      begin
        S := StrToFloat(InputBox('Inserimento','Introduci la cifra spesa','')) ;
        if (S > 100) then ListBox1.Items.Add(FloatToStr(S)+' premio ottenuto')
        else
          if (S > 0) then ListBox1.Items.Add(FloatToStr(S)+' premio non ottenuto')
          else ListBox1.Items.Add(FloatToStr(S)+' valore non valido') ;
      end;
  until (BottonePremuto <> mrYes)     // anche  not(BottonePremuto = mrYes)
end;

procedure TForm1.BtnPulisciClick(Sender: TObject);
begin
  ListBox1.Clear ;
  ListBox2.Clear ;
end;

end.


